![Cytopia Logo](data/resources/images/app_icons/logo_big_textured.png?raw=1)

[![Build Status](https://travis-ci.org/CytopiaTeam/Cytopia.svg?branch=master)](https://travis-ci.org/CytopiaTeam/Cytopia)
[![Discord](https://img.shields.io/discord/448344322887254018.svg?logo=discord)](https://discord.gg/qwa2H3G)

[![Codacy Badge](https://api.codacy.com/project/badge/Grade/df211f806ce941a091ff18f0c73cc48f)](https://www.codacy.com/app/JimmySnails/Cytopia_2?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=CytopiaTeam/Cytopia&amp;utm_campaign=Badge_Grade)
[![Total alerts](https://img.shields.io/lgtm/alerts/g/JimmySnails/Cytopia.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/JimmySnails/Cytopia/alerts/)
[![Language grade: C/C++](https://img.shields.io/lgtm/grade/cpp/g/JimmySnails/Cytopia.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/JimmySnails/Cytopia/context:cpp)

[![Quality Gate Status](https://sonarcloud.io/api/project_badges/measure?project=cytopia&metric=alert_status)](https://sonarcloud.io/dashboard?id=cytopia)
[![Coverage](https://sonarcloud.io/api/project_badges/measure?project=cytopia&metric=coverage)](https://sonarcloud.io/dashboard?id=cytopia)

<b>Website/Forums</b> - Cytopia.net - <https://www.cytopia.net/><br>
<b>YouTube</b> - Cytopia - <https://www.youtube.com/channel/UCJIzKBD3wl6KRohiX6i53GA><br>
<b>Twitter</b> - @CytopiaGame - <https://twitter.com/CytopiaGame><br>
<b>Reddit</b> - r/Cytopia - <https://www.reddit.com/r/Cytopia/><br>
<b>Discord</b> - Cytopia - <https://discord.gg/ua3qFqF><br>
<b>Patreon</b> - Cytopia by Jimmy Snails - <https://www.patreon.com/cytopia><br>
<b>Itch io</b> - Cytopia - <https://cytopia.itch.io/cytopia><br>
<b>GitHub</b> - Cytopia by CytopiaTeam - <https://github.com/CytopiaTeam/Cytopia><br>
<b>Online Emscripten Port</b> - Cytopia - <https://game.cytopia.net/><br>

Cytopia is a free, open source retro pixel-art city building game with a big focus on mods. It utilizes a custom isometric rendering engine based on SDL2.

#### Current Key Features:
- Custom UI System, based on JSON. Highly moddable
- SDL2 based rendering engine written in C++
- Camera panning, zooming, relocating
- Terrain manipulation
- Procedural Terrain Generation
- Pixel-art graphics made by graphics team lead by Kingtut 101
- An original soundtrack, ambient noises, and sound effects made mostly by MB22
- A Qt based tile editor for editing TileData JSON files

#### Planned features:
- Biomes
- OpenGL Renderer
- Gameplay mechanics
- In-Game Mod downloading mechanism
- Android / iOS
- Scripting language for mods (like LUA)

For code documentation see the projects [Doxygen Documentation](https://CytopiaTeam.github.io/Cytopia/).

If you have questions or if you want to join the project, visit the [Projects Discord Server](https://discord.gg/qwa2H3G)
If discord is not for you, visit our IRC channel on freenode at #Cytopia

In case you want to support our project on patreon, visit our [Patreon Page](https://patreon.com/cytopia)

Try out Cytopia in your Browser (Chrome based Browsers on PC supported) without installing it, take a look at our [emscripten port](https://game.cytopia.net/)

#### Supported Platforms
Linux (clang / g++-5 or higher)
Windows
Mac

#### Prerequisites

CMake 3.11 or later

<https://cmake.org/>

Conan

<https://conan.io>

#### Build instructions

See: <https://github.com/CytopiaTeam/Cytopia/wiki/Build-instructions>

#### Coding guidelines

See: <https://github.com/CytopiaTeam/Cytopia/wiki/Coding-guidelines>

#### Work-in-Progress Screenshot

![alt text](http://cytopia.net/github/Screenshot1.png)
![alt text](https://www.cytopia.net/github/Screenshot2.jpg)

We're proud to be part of Jetbrains opensource program!

![alt text](https://www.cytopia.net/github/jetbrains.png)
<https://www.jetbrains.com/?from=Cytopia>
